<?php

namespace DropshippingExportFreeVendor\WPDesk\Library\DropshippingExport\ConditionalLogic\Fields;

use DropshippingExportFreeVendor\WPDesk\Library\DropshippingExport\ConditionalLogic\Fields\Abstraction\WPPostsField;
use DropshippingExportFreeVendor\WPDesk\Library\DropshippingExport\ConditionalLogic\Fields\Abstraction\Field;
use DropshippingExportFreeVendor\WPDesk\Library\DropshippingExport\ConditionalLogic\Fields\Abstraction\AllowedConditions;
use DropshippingExportFreeVendor\WPDesk\Library\DropshippingExport\ConditionalLogic\Conditions\ContainsCondition;
use WC_Product;
class TitleField implements Field, WPPostsField, AllowedConditions
{
    public static function get_allowed_conditions(): array
    {
        return [ContainsCondition::class];
    }
    public static function get_name(): string
    {
        return 'title';
    }
    public static function get_nice_name(): string
    {
        return __('Product Name', 'dropshipping-export-free');
    }
    public static function get_column_name(): string
    {
        return 'post_title';
    }
    public function get_product_value(WC_Product $product)
    {
        return $product->get_title();
    }
}
